Update a School
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/schools/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org": {
"name": "<string>",
"type": "<string>",
"sourcedId": "<string>",
"status": "active",
"metadata": {},
"identifier": "<string>",
"parent": {
"sourcedId": "<string>"
}
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/schools/{sourcedId}"
payload = { "org": {
"name": "<string>",
"type": "<string>",
"sourcedId": "<string>",
"status": "active",
"metadata": {},
"identifier": "<string>",
"parent": { "sourcedId": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org: {
name: '<string>',
type: '<string>',
sourcedId: '<string>',
status: 'active',
metadata: {},
identifier: '<string>',
parent: {sourcedId: '<string>'}
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/schools/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourcedId": "<string>",
"name": "<string>",
"identifier": "<string>",
"children": [],
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Schools Management
Update a School
To update an existing School. The sourcedId for the record to be updated is supplied by the requesting system.
PUT
/
ims
/
oneroster
/
rostering
/
v1p2
/
schools
/
{sourcedId}
Update a School
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
School sourced ID
Body
application/json
Show child attributes
Show child attributes
Response
School successfully updated
Represents an organization.
Available options:
active, tobedeleted Available options:
department, school, district, local, state, national Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I